# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name    funnyboat
%define version 1.1
%define release 1.2006mcnl
%define summary Trip on the funny boat
%define section More Applications/Games/Arcade

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://funnyboat.sourceforge.net/
License:        GPL
Group:          Games
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

Requires:	pygame python-numeric

%description
Trip on the Funny Boat is side scrolling arcade shooter game on
a steamboat equipped with a cannon and the ability to jump. 
The player will need to take advantage of waves to defeat the enemies
and dodge hazards.

%prep
%setup -q -n %{name}

%build


%install

#icons
%define  nameicon data/kuvake.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
cp -rv data %{buildroot}%{_gamesdatadir}/%{name}
cp *.py %{buildroot}%{_gamesdatadir}/%{name}

install -d %buildroot/%_bindir
cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/%{name}
#!/bin/sh
clear
cd /usr/share/games/funnyboat/
exec /usr/share/games/funnyboat/main.py
exit 0
EOF

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="sh %_bindir/%{name}" \
needs="X11" \
icon="%name.png" \
section="More Applications/Games/Arcade" \
title="Funny Boat" \
longtitle="%summary"
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755) 
%_menudir/*
%doc LICENSE-CODE LICENSE-MUSIC LICENSE-GFX-SFX LICENSE-FONT README
%attr(755,root,root) %{_bindir}/%{name}
%{_iconsdir}/*
%attr(755,root,root) %{_gamesdatadir}/*


%changelog 

* Sat Apr 22 2006 Marco Meijer <marco@mandrivaclub.nl> 1.1-1.2006mcnl
first clubbuild www.mandrivaclub.nl

